const StateOfTheArt = {
   short: `
<h2 style="text-align: center">Conventional Trains</h2>
<ul style="margin-left:-25px">
    <li>Conventional operation with long trains, stopping at every long-distance station</li>
    <li>Train composition is not changed during trip</li>
    <li>Trains are not virtually coupled (standard mechanical coupling)</li>
</ul>
`,
   url: ":/gui/overview/state-of-the-art.html",
}

const SingleSlipCoaching = {
   short: `
<h2 style="text-align: center">Single Slip Coaching</h2>
<ul style="margin-left:-25px">
    <li>Shorter trains can both fall behind to stop at smaller stations on the route and accelerate again to be picked up on front by a following train</li>
</ul>
`,
   url: ":/gui/overview/single-slip-coaching.html",
}

const DoubleSlipCoaching = {
   short: `
<h2 style="text-align: center">Double Slip Coaching</h2>
<ul style="margin-left:-25px">
   <li>Based on Single Slip Coaching, but focus on maximum capacity</li>
   <li>700 m train set is divided into two sections shorter than 400 m, stopping side by side in larger stations</li>
   <li>After leaving the station both trains couple again virtually to one 700 m train set</li>
</ul>
`,
   url: ":/gui/overview/double-slip-coaching.html",
}

function getTexts(scenario) {
   switch (scenario) {
      case 0:
         return StateOfTheArt;
      case 1:
         return SingleSlipCoaching;
      case 2:
         return DoubleSlipCoaching;
   }
}