import QtQuick 2.14
import QtQuick.Layouts 1.14

Item {
   id: background

   width: imageWidth * 5
   height: imageHeight
   x: (pixelPosition(36) / 20) - (width / 2)

   function getBackgroundRandomImage() {
      return "../../images/parallax/Background-" + Math.floor(Math.random() * 4 + 1) + ".webp"
   }

   Repeater {
      id: backgroundImages
      model: 5
      Item {
         x: (index * imageWidth)
         width: imageWidth
         anchors.bottom: parent.bottom

         Image {
            source: background.getBackgroundRandomImage()
            asynchronous: true
            anchors.bottom: parent.bottom
            width: parent.width
            fillMode: Image.PreserveAspectFit
            mipmap: true
         }
      }
   }
}