import QtQuick 2.14

Rectangle {
   property bool open: true

   width: 16
   height: width * 2

   color: "black"
   border.color: "#555"

   radius: width / 5

   Rectangle {
      x: 1
      y: 1
      width: parent.width - 2
      height: width
      radius: width / 2
      color: open ? "green" : "black"
      border.color: "#555"
   }

   Rectangle {
      x: 1
      y: parent.width + 1
      width: parent.width - 2
      height: width
      radius: width / 2
      color: open ? "black" : "red"
      border.color: "#555"
   }
}

