import QtQuick 2.14
import QtQuick.Shapes 1.14
import ".."

Shape {
   property real length

   property real xStart: xFromLong(startLon)
   property real yStart: yFromLat(startLat)
   property real xEnd: xFromLong(endLon)
   property real yEnd: yFromLat(endLat)

   property real zoomScale: 1

   z: 10
   ShapePath {
      strokeColor: "#48ffffff"
      fillColor: "transparent"
      strokeWidth: 10 * zoomScale * widgetScale
      strokeStyle: ShapePath.SolidLine
      capStyle: ShapePath.RoundCap

      startX: xStart
      startY: yStart
      PathLine { x: xEnd; y: yEnd }
   }

   ShapePath {
      strokeColor: "#ffffff"
      fillColor: "transparent"
      strokeWidth: 1 * zoomScale * widgetScale
      strokeStyle: ShapePath.SolidLine

      startX: xStart
      startY: yStart
      PathLine { x: xEnd; y: yEnd }
   }
}
