import QtQuick 2.14
import ".."
import "../../theme"

Item {
   property var trainId

   property real latitude
   property real longitude

   property real centerX: xFromLong(longitude)
   property real centerY: yFromLat(latitude)

   property real zoomScale: 1

   z: 20

   Rectangle {
      z: parent.z
      id: circle
      radius: 3 * zoomScale
      x: centerX - radius
      y: centerY - radius
      color: DLRTheme.teaserGreen
      border.color: "black"
      width: 2 * radius
      height: 2 * radius

      scale: widgetScale
      transformOrigin: Item.Center
   }
}