import QtQuick 2.14
import QtQuick.Shapes 1.14

import "../../components"

Item {
   z: 10

   property real start
   property real length

   property real speedLimit

   Rectangle {
      scale: widgetScale
      transformOrigin: Item.Top

      width: 40
      height: width
      radius: width / 2
      color: "red"

      x: start - radius

      Rectangle {
         x: 6
         y: 6
         width: 28
         height: width
         radius: width / 2
         color: "white"

         DLRLabel {
            anchors.centerIn: parent
            text: speedLimit
            font.bold: true
         }
      }
   }
}