#include "StringUtil.hpp"

#include <string>

namespace ngt {
void replaceString(std::string& sInput, std::string const& sPlaceHolder, std::string const& sNewString) {
   std::size_t pos = 0;

   while ((pos = sInput.find(sPlaceHolder, pos)) != std::string::npos) {
      sInput.replace(pos, sPlaceHolder.length(), sNewString);

      pos += sNewString.length();
   }
}
} // namespace ngt