#pragma once

#include <nlohmann/json.hpp>

namespace ngt::io {
auto loadJson(std::string_view file) -> nlohmann::json;
}

template <typename T>
auto operator<<(std::ostream& os, std::vector<T> const& v) -> std::ostream& {
   os << "[ ";

   for (size_t i = 0; i < v.size() - 1; ++i) {
      os << v[i] << "; ";
   }

   os << v[v.size() - 2] << " ]";
   return os;
}