#include "TrainViewModel.hpp"

namespace ngt::speedlimits {

auto TrainViewModel::operator=(const ngt::speedlimits::TrainViewModel& other) -> ngt::speedlimits::TrainViewModel& {
   if (this != &other) {
      train = other.train;
   }

   return *this;
}

auto TrainViewModel::operator=(TrainViewModel&& other) noexcept -> TrainViewModel& {
   if (this != &other) {
      train = other.train;
   }

   return *this;
}

} // namespace ngt::speedlimits